from GBA import GBA

#Entrée : une formule sous forme de liste de littéraux (ie une variable ou sa négation)
#Vérifie que cette formule est consistente cad qu'elle ne contient pas à la fois une variable et sa négation
def is_consistent(formula):
	for l in formula:
		if "~"+l in formula:
			return False
	return True

#Entrées : 1 automate de buchi
#Sortie : renvoie True si cet automate n'admet aucune exécution et false sinon
def is_Buchi_empty(buchi):
	#à compléter
	return False

#Entrées : 1 automate de buchi généralisé
#Sortie : renvoie True si cet automate n'admet aucune exécution et false sinon
def is_GBA_empty(gba):
	#à compléter
	return False
